Package org.apache.batchee.container.impl

## Class JobExecutionImpl

- java.lang.Object
- - org.apache.batchee.container.impl.JobExecutionImpl

- All Implemented Interfaces:
    `javax.batch.runtime.JobExecution`, `InternalJobExecution`

      public class JobExecutionImpl
      extends Object
      implements InternalJobExecution

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobExecutionImpl​(long executionId, long instanceId, PersistenceManagerService persistenceManagerService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Date` | `getCreateTime()` |
    `Date` | `getEndTime()` |
    `long` | `getExecutionId()` |
    `String` | `getExitStatus()` |
    `long` | `getInstanceId()` |
    `String` | `getJobName()` |
    `Properties` | `getJobParameters()` |
    `Date` | `getLastUpdatedTime()` |
    `Date` | `getStartTime()` |
    `void` | `setBatchStatus​(String status)` |
    `void` | `setCreateTime​(Timestamp ts)` |
    `void` | `setEndTime​(Timestamp ts)` |
    `void` | `setExecutionId​(long id)` |
    `void` | `setExitStatus​(String status)` |
    `void` | `setInstanceId​(long id)` |
    `void` | `setJobContext​(JobContextImpl jobContext)` |
    `void` | `setJobInstanceId​(long jobInstanceID)` |
    `void` | `setJobName​(String jobName)` |
    `void` | `setJobParameters​(Properties jProps)` |
    `void` | `setLastUpdateTime​(Timestamp ts)` |
    `void` | `setStartTime​(Timestamp ts)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobExecutionImpl

          public JobExecutionImpl​(long executionId,
                                  long instanceId,
                                  PersistenceManagerService persistenceManagerService)

  - ### Method Detail

    - #### setJobName

          public void setJobName​(String jobName)

    - #### setJobContext

          public void setJobContext​(JobContextImpl jobContext)

      Specified by:
        `setJobContext` in interface `InternalJobExecution`

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.JobExecution`

    - #### getCreateTime

          public Date getCreateTime()

      Specified by:
        `getCreateTime` in interface `javax.batch.runtime.JobExecution`

    - #### getEndTime

          public Date getEndTime()

      Specified by:
        `getEndTime` in interface `javax.batch.runtime.JobExecution`

    - #### getExecutionId

          public long getExecutionId()

      Specified by:
        `getExecutionId` in interface `javax.batch.runtime.JobExecution`

    - #### getExitStatus

          public String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.JobExecution`

    - #### getLastUpdatedTime

          public Date getLastUpdatedTime()

      Specified by:
        `getLastUpdatedTime` in interface `javax.batch.runtime.JobExecution`

    - #### getStartTime

          public Date getStartTime()

      Specified by:
        `getStartTime` in interface `javax.batch.runtime.JobExecution`

    - #### getJobParameters

          public Properties getJobParameters()

      Specified by:
        `getJobParameters` in interface `javax.batch.runtime.JobExecution`

    - #### setBatchStatus

          public void setBatchStatus​(String status)

      Specified by:
        `setBatchStatus` in interface `InternalJobExecution`

    - #### setCreateTime

          public void setCreateTime​(Timestamp ts)

      Specified by:
        `setCreateTime` in interface `InternalJobExecution`

    - #### setEndTime

          public void setEndTime​(Timestamp ts)

      Specified by:
        `setEndTime` in interface `InternalJobExecution`

    - #### setExecutionId

          public void setExecutionId​(long id)

    - #### setJobInstanceId

          public void setJobInstanceId​(long jobInstanceID)

    - #### setExitStatus

          public void setExitStatus​(String status)

      Specified by:
        `setExitStatus` in interface `InternalJobExecution`

    - #### setInstanceId

          public void setInstanceId​(long id)

    - #### setLastUpdateTime

          public void setLastUpdateTime​(Timestamp ts)

      Specified by:
        `setLastUpdateTime` in interface `InternalJobExecution`

    - #### setStartTime

          public void setStartTime​(Timestamp ts)

      Specified by:
        `setStartTime` in interface `InternalJobExecution`

    - #### setJobParameters

          public void setJobParameters​(Properties jProps)

      Specified by:
        `setJobParameters` in interface `InternalJobExecution`

    - #### getJobName

          public String getJobName()

      Specified by:
        `getJobName` in interface `javax.batch.runtime.JobExecution`

    - #### getInstanceId

          public long getInstanceId()

      Specified by:
        `getInstanceId` in interface `InternalJobExecution`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`